Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | None
Language | Haskell2010

Distribution.Types.Benchmark

Synopsis

- data Benchmark = Benchmark {
  - benchmarkName :: UnqualComponentName
  - benchmarkInterface :: BenchmarkInterface
  - benchmarkBuildInfo :: BuildInfo
  }
- emptyBenchmark :: Benchmark
- benchmarkType :: Benchmark -> BenchmarkType
- benchmarkModules :: Benchmark -> [ModuleName]
- benchmarkModulesAutogen :: Benchmark -> [ModuleName]

# Documentation

data Benchmark #

A "benchmark" stanza in a cabal file.

Constructors

Benchmark |

Fields

- benchmarkName :: UnqualComponentName
- benchmarkInterface :: BenchmarkInterface
- benchmarkBuildInfo :: BuildInfo

Instances

Eq Benchmark # |
Methods (==) :: Benchmark -> Benchmark -> Bool # (/=) :: Benchmark -> Benchmark -> Bool #
Data Benchmark # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Benchmark -> c Benchmark Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Benchmark Source #

toConstr :: Benchmark -> Constr Source #

dataTypeOf :: Benchmark -> DataType Source #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c Benchmark) Source #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Benchmark) Source #

gmapT :: (forall b. Data b => b -> b) -> Benchmark -> Benchmark Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Benchmark -> r Source #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Benchmark -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Benchmark -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Benchmark -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Benchmark -> m Benchmark Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Benchmark -> m Benchmark Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Benchmark -> m Benchmark Source #

Read Benchmark # |
Methods readsPrec :: Int -> ReadS Benchmark Source # readList :: ReadS [Benchmark] Source # readPrec :: ReadPrec Benchmark Source # readListPrec :: ReadPrec [Benchmark] Source #
Show Benchmark # |
Methods showsPrec :: Int -> Benchmark -> ShowS Source # show :: Benchmark -> String Source # showList :: [Benchmark] -> ShowS Source #
Generic Benchmark # |
Associated Types type Rep Benchmark :: * -> * Source # Methods from :: Benchmark -> Rep Benchmark x Source # to :: Rep Benchmark x -> Benchmark Source #
Semigroup Benchmark # |
Methods (<>) :: Benchmark -> Benchmark -> Benchmark Source # sconcat :: NonEmpty Benchmark -> Benchmark Source # stimes :: Integral b => b -> Benchmark -> Benchmark Source #
Monoid Benchmark # |
Methods mempty :: Benchmark Source # mappend :: Benchmark -> Benchmark -> Benchmark Source # mconcat :: [Benchmark] -> Benchmark Source #
Binary Benchmark # |
Methods put :: Benchmark -> Put Source # get :: Get Benchmark Source # putList :: [Benchmark] -> Put Source #
type Rep Benchmark # |

type Rep Benchmark = D1 * (MetaData "Benchmark" "Distribution.Types.Benchmark" "Cabal-2.0.1.0" False) (C1 * (MetaCons "Benchmark" PrefixI True) ((:*:) * (S1 * (MetaSel (Just Symbol "benchmarkName") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * UnqualComponentName)) ((:*:) * (S1 * (MetaSel (Just Symbol "benchmarkInterface") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * BenchmarkInterface)) (S1 * (MetaSel (Just Symbol "benchmarkBuildInfo") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * BuildInfo)))))

emptyBenchmark :: Benchmark #

benchmarkType :: Benchmark -> BenchmarkType #

benchmarkModules :: Benchmark -> [ModuleName] #

Get all the module names from a benchmark.

benchmarkModulesAutogen :: Benchmark -> [ModuleName] #

Get all the auto generated module names from a benchmark. This are a subset of `benchmarkModules`.